%% TEAM: UN-KIT-SWITCHING BATTERY
% Cooperation of Universidad Nacional de Colombia (UN), Karlsruhe Institute
% of Technology (KIT) and SWITCHING BATTERY company
%% TEAM MEMBERS: 
% Sergio Rivera, srriverar@unal.edu.co, professor at UN
% Sebastian Krumscheid, sebastian.krumscheid@kit.edu, professor at KIT
% Kannappan Chettiar, kc@switchingbattery.com, CEO SWITCHING BATTERY

%% ALGORITMH: MVMO-RCEDUMDA

%% 
% THIS SCRIPT IS BASED ON PUBLIC PREVIOUS DEVELOPMENTS OF MVMO (Mean-variance
% mapping optimization AND RCEDUMDA (Ring Cellular Encode-Decode UMDA)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Function: RCEDUMDAparameters
%
% Authors: Ansel Y. Rodrguez Gonzlez 1,2 (Team Leader) 
%          ngel Daz Pacheco          1,2
%          Ramn Aranda                1,2
%          Miguel . lvarez-Carmona   1,2
%          Yoan Martnez Lpez         4
%          Julio Madera                4
%
% 1 Unidad de Transferencia Tecnolgica Tepic del Centro de Investigacin 
%   Cientfica y de Educacin Superior de Ensenada, Mxico
%
% 2 Consejo Nacional de Ciencia y Tecnologa, Mxico
%
% 4 Universidad de Camagey, Cuba
%
% Modified by AYRG \CICESE 27/06/2022

%if (Select_testbed==1)
    
vRCEDUMDAparameters.I_maxFits       = 4999;                 
vRCEDUMDAparameters.I_repeatEvals   = 2;               

vRCEDUMDAparameters.maxEvals  = 5000; 

vRCEDUMDAparameters.I_lowPop  = 20; 
                                      
vRCEDUMDAparameters.I_NP      =                 20;% 180;   
vRCEDUMDAparameters.I_itermax =                 1000;   

vRCEDUMDAparameters.I_indByCell =                  4;   
vRCEDUMDAparameters.I_StructureWidth   =          5;   
vRCEDUMDAparameters.I_StructureHeight  =           1;   
vRCEDUMDAparameters.I_NeighborhoodType  =          1;   
vRCEDUMDAparameters.I_NeighborhoodParam =         2;   
           
vRCEDUMDAparameters.I_SelectionMethod   =          1;   
vRCEDUMDAparameters.I_Selected          =         2;   

vRCEDUMDAparameters.I_elitismParam      =         3; 

vRCEDUMDAparameters.I_CodeSize          =          3; 

vRCEDUMDAparameters.I_EstimationParamsMethod =     0;      
vRCEDUMDAparameters.I_EstimationParamsParam  =     0;     

vRCEDUMDAparameters.I_EstimationStructureMethod =  0;   
vRCEDUMDAparameters.I_EstimationStructureParam  =  0;   

vRCEDUMDAparameters.I_ScalerMethod      =          2;   
vRCEDUMDAparameters.I_ScalerParam       =         0.009;


vRCEDUMDAparameters.I_SamplingMethod  =             0;   
vRCEDUMDAparameters.I_SamplingParam   =             0;   

vRCEDUMDAparameters.I_evaluationProxy =              0; 
%vRCEDUMDAparameters.I_evaluationProxyInitTrainGenSize = 60;
%vRCEDUMDAparameters.I_evaluationProxyEvalGenSize  =  30;
%vRCEDUMDAparameters.I_evaluationProxyTrainGenSize =  5;                                                                                           

%end


